mlfk.net
当前位置:首页 >> PHP需要用到什么软件 >>

PHP需要用到什么软件

运行php程序或者编写php代码需要满足php运行环境,主要用到的软件如下: php; apache,iis,nigx等其他web服务器; mysql或者其他数据库;

仅供参考: 数据库:MYSQL5.0 编译工具:PHP5.0 (初学者的话可以用Dreamweaver 8.0,用着觉得不错) Dreamweaver 也可以做HTML和CSS的编译工具 本地服务器:可以是IIS,也可以是Apache (我学习时候用这个!) Zend Studio强大的最好的 PHP开发工...

最好的php开发工具,你说的是IDE吧!这个有很多,但是因人而异,Zend Studio 这个应该算是用的最多的吧,PhpStorm、EPP、Zend Studio 、phpDesigner8、Rapid PHP 2014EclipsePHP Studio 3、sublime、komodo、Expression Web 4。反正是有很多,最...

如果你是专业做PHP开发的话,不要用DW,DW是精于前台的一个IDE,初学者做HTML+CSS绝对和好,但并不适合做PHP。 PHP是后台语言,顾名思义,精于前台的IDE怎么能胜任呢? 给你介绍我用开的3个IDE: sublime Text2, editplus, notepad++ 达达寻

编程的话一般的一般的文本编辑器就行,界面设计可以用dreamweaver,要做整个网站的话还要用上数据库,具体一些功能的话还要用到一些插件,比如文本编辑框什么的,这个就看自己需要了

看你是什么系统了 windows 可以用phpStudy linux 可以安装宝塔或wdcp等管理面板。

运行环境。建议一键安装工具,比如xampp, wamp。 开发环境。比如 sublime text, ecipse, zend studio。

建议你下载个CMS内容管理系统,比如:DEDE CMS、PHP CMS等工具。 每个工具网站上都有对应的很多模版可以下载,首先将系统到你电脑中安装。 安装完成和使用需要有一定的基础一两句说不清楚,建议你看下dede cms 的论坛,我就使用这个工具制作公司...

wamp只是运行环境,你要运行执行php得装这个 开发环境的话一般包括编辑器,调试器这些东西,有助于你写php代码。 vc6.0这个包含了编辑器,调试器,在加上windows就可以执行pe结构的可执行文件,所以不需要装了。

网站首页 | 网站地图
All rights reserved Powered by www.mlfk.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com